• 3
siklidkid

Verifying expansions stuck on 1.8

Question

I am using ksp 1.8, After it released, And when i launched it, at the end of the screen it said it was "Verifying breaking ground."

I deleted it, Now its saying it with making history.

i REALLY want to use my expansions, But its not working.

 

Share this post


Link to post
Share on other sites

Recommended Posts

  • 0
7 hours ago, MikeO89 said:

That's the problem with playing in sandbox mode and spend all your time building stuff with parts from mods. Once you do this, you are dependent on them if you want that craft/base/space station to load at a later time.

Most issues I'm hearing about in detail relate to the Unity change with KSP 1.8.  I'm expecting most mods to upgrade sooner.  Parts mods normally don't have many problems with KSP version changes, unless, as in your case, they depend on a mod that is affected, like Firespitter.  I'd expect Firespitter to be one of the mods to upgraded soon.

Share this post


Link to post
Share on other sites
  • 0
1 hour ago, Jacke said:

Most issues I'm hearing about in detail relate to the Unity change with KSP 1.8.  I'm expecting most mods to upgrade sooner.  Parts mods normally don't have many problems with KSP version changes, unless, as in your case, they depend on a mod that is affected, like Firespitter.  I'd expect Firespitter to be one of the mods to upgraded soon.

Konstruction Mod is dependent on firespitter, the problem is that both are listed as 1.8 compliant were Konstruction (parts) is and the dependency ion reality is not 

Share this post


Link to post
Share on other sites
  • 0

I had the same problem, but I solved it by deleting the mods - all USI mods, and "MK2 expansion"

Share this post


Link to post
Share on other sites
  • 0
53 minutes ago, *MajorTom* said:

I had the same problem, but I solved it by deleting the mods - all USI mods, and "MK2 expansion"

I have USI-LS and it works fine Konstruction is a USI mood and it had firespitter, it is possible that some of the other usi mods such as mks, malemutte rover etc also have firespitter

Share this post


Link to post
Share on other sites
  • 0


I had exactly the same error:
"Verifying expansion breaking ground squadexpansion/serenity" ....zzzzzZZZZZZZ and HALT.

When I saw the "KSP.log" for the first time, I said to my self:
"Mayday, Mayday, Mayday, Huston we have a problem! Disregard, we have: Multiple problems!"

I will share my experience to fix this, removed in a first glance, the following mods:

  • B9PartSwitch
  • ContractConfigurator
  • Hangar
  • Kopernicus
  • MechJeb2
  • Mk2Expansion
  • UmbraSpaceIndustries
  • TweakScale

Trying to re-compile now some of them...

Edited by pmborg

Share this post


Link to post
Share on other sites
  • 0
2 minutes ago, pmborg said:


I had exactly the same error:
"Verifying expansion breaking ground squadexpansion/serenity" ....zzzzzZZZZZZZ and HALT.

When I saw the "KSP.log" for the first time, I said to my self:
"Mayday, Mayday, Mayday, Huston we have a problem! Disregard, we have: Multiple problems!"

I will share my experience to fix this, removed in a first glance, the following mods:

  • B9PartSwitch
  • ContractConfigurator
  • Hangar
  • Kopernicus
  • MechJeb2
  • Mk2Expansion
  • UmbraSpaceIndustries
  • TweakScale

Trying to re-compile now some of them...

to let you know what i found so far

mechjeb2 dev works

 

USI-LS works

Tweakscale- works

don't know about the others 

Share this post


Link to post
Share on other sites
  • 0
1 minute ago, Rafael acevedo said:

to let you know what i found so far

 

Tweakscale- works

 

tweakscale give me 2 exception errors but works.... ok... but... better delete .....

Share this post


Link to post
Share on other sites
  • 0
14 minutes ago, Rafael acevedo said:

to let you know what i found so far

mechjeb2 dev works

 

USI-LS works

Tweakscale- works

don't know about the others 

Maybe with my own pack of mods, i have a different experience, when I add:

K:\SteamLibrary\steamapps\common\Kerbal Space Program\GameData\UmbraSpaceIndustries>dir /B
Akita
CHANGELOG.txt
FTT
FX
Karbonite
KarbonitePlus
Karibou
Konstruction
Kontainers
LifeSupport
MKS
Orion
ReactorPack
USICore.version

 

Just get a FATAL exception and KSP close without pass to coredump....

Share this post


Link to post
Share on other sites
  • 0
1 minute ago, pmborg said:

Maybe with my own pack of mods, i have a different experience, when I add:

K:\SteamLibrary\steamapps\common\Kerbal Space Program\GameData\UmbraSpaceIndustries>dir /B
Akita
CHANGELOG.txt
FTT
FX
Karbonite
KarbonitePlus
Karibou
Konstruction
Kontainers
LifeSupport
MKS
Orion
ReactorPack
USICore.version

 

Just get a FATAL exception and KSP close without pass to coredump....

Not using Steam But in stand alone i can confirm that usi-Ls and USI core works and Konstruction doesn't (it requires firespitter)

Share this post


Link to post
Share on other sites
  • 0
5 minutes ago, DRAG0Nmon said:

how do i play in 1.7 instead of 1.8 automatically?

You can't.  If you have it by Steam, you get the latest version by default.  However, Steam also allows you to select from the previous version's last point release (look in the Steam library under KSP's Properties and then the BETAS tab).  And you should copy from the Steam directory to one under your control and run the KSP executable there to make sure you stay on a given version until you want to change.  There's also CKAN to help manage this too.

Edited by Jacke

Share this post


Link to post
Share on other sites
  • 0
16 minutes ago, Jacke said:

You can't.  If you have it by Steam, you get the latest version by default.  However, Steam also allows you to select from the previous version's last point release (look in the Steam library under KSP's Properties and then the BETAS tab).  And you should copy from the Steam directory to one under your control and run the KSP executable there to make sure you stay on a given version until you want to change.  There's also CKAN to help manage this too.

thanks!

Share this post


Link to post
Share on other sites
  • 0
16 hours ago, *MajorTom* said:

tweakscale give me 2 exception errors but works.... ok... but... better delete .....

Hey! This is interesting!! Can you publish that exceptions on the TweakScale thread?

on a side note, the only thing borking is the UI, still trying to figure it out. But I agree, don't risk your "production" savegames yet. But I will gladly accept KSP.logs with interesting Exceptions so I can diagnose what's happening.

I also be grateful for some beta testing. :)

Share this post


Link to post
Share on other sites
  • 0

Dear TTI: 

Good Grief, sir! Doest thou even TEST??? 

Could this be being caused by VRAM exhaustion? Does anyone with a 6+ gb GPU have this problem?  (GTX 980/4gb here) 

Share this post


Link to post
Share on other sites
  • 0

:(

Greetings fellow players,

 

Yep same problems with the new 1.8 game after steam downloaded it into 

my PC.  It goes through all the mod loading and checking part with the new

game running pictures of the new art work.

But at the end of that bit, sticks on the making history expansion checking.

Just keeps showing those new pictures and does not open to the Main

menu at all? 

I tried it without any mods full stop since CKAN told me most of the mods it or I had installed for 1.7.8 were now out of date?

No luck even with no mods at all in there?  ;.;

I let CKAN install then only the newer 1.8.0 mods that were either the newer updated versions of my liked mods or mods like some of the great mods I just got all fully sorted out to work well in 1.7.8.

Tried that with only 10 mods all 1.8.  No luck same problem get's to the end of the mods checking and loading of the making history expansion I got and just sits there!

Really bad this, I t has taken away the great game mod set up I enjoyed in 1.7.8 and replaced it with a new version which don't run?

I tried it in many set ups and ways and the same happens! 

I really no a happy player now. My lovely hard worked on ships and bases all lost as even if I get this new one running most of the mods needed for them are not supported in 1.8.0.

What can I and others do to solve this? :mad:

Share this post


Link to post
Share on other sites
  • 0

 

[ERR 05:41:33.886] MechJeb caught exception in core OnLoad: System.Reflection.ReflectionTypeLoadException: Exception of type 'System.Reflection.ReflectionTypeLoadException' was thrown.
  at KSP.IO.File.Exists[T] (System.String filename, Vessel flight) [0x00053] in <5b6ca6486e0b47a1bce39cde5a91b986>:0 
  at MuMech.MechJebCore.OnLoad (ConfigNode sfsNode) [0x00097] in <2e230d4e49354a07858a9faa52799159>:0 

This might be the problem. From my log file after experiencing the same issue.

Share this post


Link to post
Share on other sites
  • 0
4 hours ago, ElonsMusk said:

 


[ERR 05:41:33.886] MechJeb caught exception in core OnLoad: System.Reflection.ReflectionTypeLoadException: Exception of type 'System.Reflection.ReflectionTypeLoadException' was thrown.
  at KSP.IO.File.Exists[T] (System.String filename, Vessel flight) [0x00053] in <5b6ca6486e0b47a1bce39cde5a91b986>:0 
  at MuMech.MechJebCore.OnLoad (ConfigNode sfsNode) [0x00097] in <2e230d4e49354a07858a9faa52799159>:0 

This might be the problem. From my log file after experiencing the same issue.

You need to upload and provide the link to the whole log file as it's needed to do proper debugging.  And post this in the MechJeb topic so @sarbian will be notified.

Share this post


Link to post
Share on other sites
  • 0

The code that generates the error is a stock method( KSP.IO.File.Exists ), so technically it s not MJ. And given the exception I am fairly confident that the problem is an obsolete mod DLL somewhere. But I can not say more without the log.

Edited by sarbian

Share this post


Link to post
Share on other sites
  • 0

My game was working perfectly fine, with no mods installed, on 1.8. Then all the sudden its not working. It's stuck at the loading screen. I've tried literally everything to try to get it to work and it still doesn't work. It will only work if I have one or both of the DLC packs uninstalled. 

Share this post


Link to post
Share on other sites
  • 0

From some testing with and without mods it seems to be when both MechJeb2 AND Firespitter are enabled at the same time. Either enabled and the game load completes fine. Together and no joy.

Edited by CrashyMcCrashFace

Share this post


Link to post
Share on other sites
  • 0

Yeah of course it is Mechjeb. Now post your log so I can show you what is actually wrong with your install and explain to you why MJ triggers a problem with an outdated mod that will eventually mess up you save , MJ or not. 
$5 on your install having firespitter 

Share this post


Link to post
Share on other sites
  • 0

You might have read my ports before I edited it. Yes I since discovered MJ2 + Firespitter is the problem. I can't even remember why I have Firespitter so I just removed it. Thanks.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.